package com.inca.npbusi.sales.bms_sa_con;

import com.inca.np.auth.ClientUserManager;
import com.inca.np.gui.control.CDefaultProgress;
import com.inca.np.gui.control.DBTableModel;
import com.inca.np.gui.mde.CMdeModel;
import com.inca.np.gui.mde.MMdeFrame;
import com.inca.np.gui.ste.CSteModel;
import com.inca.np.gui.ste.CSteModelListenerAdaptor;
import com.inca.np.util.DefaultNPParam;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.KeyStroke;
import org.apache.log4j.Category;

public class Bms_sa_con_frame extends MMdeFrame {
   private static final long serialVersionUID = 4464197260762641394L;

   public Bms_sa_con_frame() {
      super("销售订单发货");
      Category.getInstance(Bms_sa_con_frame.class);
   }

   protected CMdeModel createMde() {
      Sa_con_dtl_frame var1;
      (var1 = new Sa_con_dtl_frame()).pack();
      Sa_con_dtl_mde var2;
      (var2 = (Sa_con_dtl_mde)var1.getCreatedMdemodel()).setSacondocste((Sa_con_doc_ste)this.stemodel);
      return var2;
   }

   protected DBTableModel getCondtlModel() {
      this.mdemodel.getMasterModel().commitEdit();
      return this.mdemodel.getMasterModel().getDBtableModel();
   }

   protected DBTableModel getGoodsdtlModel() {
      return this.mdemodel.getDetailModel().getDBtableModel();
   }

   protected CSteModel getGoodsdtlModelSte() {
      return this.mdemodel.getDetailModel();
   }

   protected CSteModel getModelCondtl() {
      return this.mdemodel.getMasterModel();
   }

   protected String getMderelatecolname() {
      return "conid";
   }

   protected String getStepkcolname() {
      return "conid";
   }

   protected void savetoserverMcmd(CDefaultProgress var1) {
   }

   public void saveAll() {
      ((Sa_con_dtl_mde)this.mdemodel).toSave();
   }

   protected CSteModel getStemodel() {
      Sa_con_doc_frame var1;
      (var1 = new Sa_con_doc_frame()).setOpid("1069");
      var1.pack();
      Sa_con_doc_ste var2;
      (var2 = (Sa_con_doc_ste)var1.getCreatedStemodel()).setParentFrame(this);
      var2.addActionListener(new b(this));
      return var2;
   }

   protected int getHorizontalsize() {
      return 450;
   }

   protected void setHotkey() {
      super.setHotkey();
      KeyStroke var1 = KeyStroke.getKeyStroke(116, 0, false);
      this.addHotkey(var1, "查询", new a("查询"));
      var1 = KeyStroke.getKeyStroke(80, 8, false);
      this.addHotkey(var1, "销售分配", new a("销售分配"));
      var1 = KeyStroke.getKeyStroke(69, 8, false);
      this.addHotkey(var1, "订单执行", new a("订单执行"));
      var1 = KeyStroke.getKeyStroke(70, 8, false);
      this.addHotkey(var1, "订单完成", new a("订单完成"));
      var1 = KeyStroke.getKeyStroke(65, 8, false);
      this.addHotkey(var1, "切换独立单元", new a("切换独立单元"));
   }

   public static void main(String[] var0) {
      DefaultNPParam.debug = 1;
      DefaultNPParam.develop = 1;
      DefaultNPParam.debugdbip = "192.9.200.89";
      DefaultNPParam.debugdbpasswd = "ZJZL";
      DefaultNPParam.debugdbsid = "pb";
      DefaultNPParam.debugdbusrname = "ZJZL";
      DefaultNPParam.prodcontext = "npserver";
      ClientUserManager.getCurrentUser().setUserid("0");
      Bms_sa_con_frame var1;
      (var1 = new Bms_sa_con_frame()).pack();
      var1.setVisible(true);
   }

   class a extends AbstractAction {
      private static final long serialVersionUID = -1036773065898800917L;

      public a(String var2) {
         super(var2);
         super.putValue("ActionCommandKey", var2);
      }

      public final void actionPerformed(ActionEvent var1) {
         Bms_sa_con_frame.this.stemodel.actionPerformed(var1);
      }
   }

   class b extends CSteModelListenerAdaptor {
      b(Bms_sa_con_frame var1) {
      }

      public final int on_actionPerformed(String var1) {
         "生成进货单".equals(var1);
         return super.on_actionPerformed(var1);
      }
   }
}
